package callback

import (
	"golib.gaore.com/GaoreGo/haiwai-common-sdk-go/sdk"
	"golib.gaore.com/GaoreGo/haiwai-common-sdk-go/sdk/requests"
)

const (
	VERSION = "2021-11-30"
)

var HOST requests.Host = requests.Host{
	Default: "callback.api.gaore.com",
	Func: func(s string, area string) string {
		var a = map[string]string{
			requests.RELEASE: "callback.api.gaore.com",
			requests.PRE:     "callback.api.gaore.com",
			requests.TEST:    "callback.api.gaore.com",
		}
		return a[s]
	},
}

type Client struct {
	sdk.Client
}

func NewClient() (client *Client) {
	client = &Client{}
	client.InitWithAccessKey("", "", "")
	return
}

// 上报关键行为
func (c *Client) SendAction(req *SendActionRequest) (response *SendActionResponse, err error) {
	response = CreateSendActionResponse()
	err = c.DoAction(req, response)
	return
}

// 上报激活
func (c *Client) SendActive() {

}

// 上报付费

// 上报注册
