

### 发送短信调用示例 
```go 
import (
    "fmt"
    "golib.gaore.com/GaoreGo/haiwai-common-sdk-go/services/jedi"
)

func main() {
    c, err := jedi.NewClientWithAccessKey("accessKeyId", "accessKeySecret", "xxx.xxx.com")
    if err != nil {
        return
    }
    
    req := jedi.CreateSendSmsRequest()
    // sso统一用户名uid， 多个用户用逗句隔开
    req.User = "liangzy,liaoks"
    // 公共模板的代码模板
    req.Code = "d7kt5IwP"
    // 模板参数，模板里有多少个模板参数就传入几个替换字符串，
    req.ParamsArray = []string{"www", "线上", "好人"}
    if resp, err := c.SendSms(req); err == nil {
        grlogs.Informational(fmt.Sprintf("%+v", resp.GetHttpContentString()))
    } else {
        grlogs.Error(err)
    }
}
```