package www

import (
	"golib.gaore.com/GaoreGo/haiwai-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/haiwai-common-sdk-go/sdk/responses"
)

type GetPwdRequest struct {
	*requests.RpcRequest
	UserName string `position:"Query" field:"user_name" default:"-" `
	Uid      int64  `position:"Query" field:"uid" default:"0"`
}

type GetPwdResponse struct {
	*responses.BaseResponse
	Ret  int    `json:"ret"`
	Msg  string `json:"msg"`
	Data struct {
		UserName string `json:"user_name"`
		UserPwd  string `json:"user_pwd"`
	} `json:"data"`
}

func CreateGetPwdRequest() (req *GetPwdRequest) {
	req = &GetPwdRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/limit/getPwd.php")
	req.Method = requests.GET
	return
}

func CreateGetPwdResponse() (response *GetPwdResponse) {
	response = &GetPwdResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
